package com.bocloud.ims.entity.resource.azure.slb;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.meta.PKStrategy;

/**
 * @ClassName: AzureBackEndVirtualMachine
 * @Description:
 * @author: zhenpingLi/李振平
 * @date: 2020/10/16 10:37
 */
@Table("back_end_virtual_machine")
public class BackEndVirtualMachine {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("back_end_id")
    private Long backEndId;
    @Column("virtual_machine_id")
    private Long virtualMachineId;

    public BackEndVirtualMachine(Long backEndId, Long virtualMachineId) {
        this.backEndId = backEndId;
        this.virtualMachineId = virtualMachineId;
    }

    public BackEndVirtualMachine() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getBackEndId() {
        return backEndId;
    }

    public void setBackEndId(Long backEndId) {
        this.backEndId = backEndId;
    }

    public Long getVirtualMachineId() {
        return virtualMachineId;
    }

    public void setVirtualMachineId(Long virtualMachineId) {
        this.virtualMachineId = virtualMachineId;
    }
}